%% tran1

% prepare image
rgb = imread('jsl26.jpg');
rgb = im2double(rgb);
im = ones([480 640 3]);
%im = uint8(255*im); % if input is uint8
sz = size(rgb);
of = ([480 640] - sz(1:2))/2;
im(of(1)+(1:sz(1)),of(2)+(1:sz(2)),:)=rgb;
imshow(im);

%%
dist = [-70 30];
out1 = imtranslate(im,dist);
imshow(out1);

%%

out2 = imtranslate(out1,-dist);
imshow(out2);

%%

out3 = out2(of(1)+(1:sz(1)),of(2)+(1:sz(2)),:);
diff = out3 - rgb;
disp('image error');
md = max(max(max(abs(diff))));
fprintf('image error %d\n',md);

